%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define bzr_rev 349

Name:           gwibber
Version:        1.2.0
Release:        2.%{bzr_rev}bzr%{?dist}
Epoch:          1
Summary:        An open source microblogging client for GNOME developed with Python and GTK

Group:          Applications/Internet
License:        GPLv2+
URL:            https://launchpad.net/gwibber
# The source for this package was pulled from upstream's vcs.  Use the
# following command to generate the tarball:
#   bzr export -r %{bzr_rev} gwibber-%{bzr_rev}bzr.tar.gz lp:gwibber
Source0:        %{name}-%{bzr_rev}bzr.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       libsoup python-mako
Requires:       python pygtk2 dbus-python gnome-python2-gconf PyXML
Requires:       pywebkitgtk mx python-feedparser pyxdg python-imaging
Requires:       python-sexy python-simplejson >= 1.9.1 gnome-python2-gnomekeyring
BuildRequires:  python-devel desktop-file-utils python-distutils-extra intltool gettext
BuildArch:      noarch

%description
Gwibber is an open source microblogging client for GNOME developed with Python
and GTK. It supports Twitter, Jaiku, Identi.ca, Facebook, and Digg.


%prep
%setup -q -n gwibber-%{bzr_rev}bzr
sed -i -e '/^#! \?\//, 1d' $(find %{name} | grep "\.py$")

%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --prefix %{_prefix} -O1 --skip-build --root %{buildroot}

## Reinstall .desktop file
rm -rf %{buildroot}%{_datadir}/applications
desktop-file-install --vendor="fedora" --dir=%{buildroot}%{_datadir}/applications build/share/applications/%{name}.desktop

## Install i18n data  (THIS MUST COME LAST)
cp -a build/mo %{buildroot}%{_datadir}/locale
%find_lang %{name}

 
%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{python_sitelib}/%{name}
%{python_sitelib}/%{name}-*.egg-info
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/applications/fedora-%{name}.desktop


%changelog
* Mon Jul 13 2009 Ian Weller <ian@ianweller.org> - 1:1.2.0-2.349bzr
- update to r349, bugfixes

* Tue Jun 23 2009 Ian Weller <ian@ianweller.org> - 1:1.2.0-1.345bzr
- update to r345

* Tue Jun  2 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1:0.9.1-3.339bzr
- template theme engine merged onto main devel branch
- move to r339

* Wed Apr 22 2009 Ian Weller <ianweller@gmail.com> - 1:0.9.1-2.288bzr
- Update to r288, gwibber will now scroll back to where it was before a refresh
- Fix bugzilla.redhat.com/497108, add Requires: python-mako
- Version number is actually 0.9.1 now (multiple branch switches on my part are at fault), add Epoch

* Tue Apr 21 2009 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.1-1.287bzr
- move to template-theme-engine branch, 287

* Thu Apr  9 2009 Ian Weller <ianweller@gmail.com> 1.0.1-1.286bzr
- Update from upstream revision 286

* Tue Mar 17 2009 Ian Weller <ianweller@gmail.com> 0.9.1-1.251bzr
- Update from upstream revision 251
- Adjust pjones's patch to use spaces

* Tue Mar 17 2009 Peter Jones <pjones@redhat.com>
- Fix missing Requires: libsoup

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-2.239bzr
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 16 2009 Ian Weller <ianweller@gmail.com> 0.8-1.239bzr
- Update from upstream revision 239:
  - Integration with GNOME keyring (add Requires: gnome-python2-gnomekeyring)
  - Support for notifications to detect service capabilities

* Sat Feb 14 2009 Ian Weller <ianweller@gmail.com> 0.7.3-6.237bzr
- Update from upstream revision 237:
  - Return identi.ca back to http:// (not merged into 1.0 branch)
  - Error window fix and other minor bugfixes

* Mon Feb  9 2009 Ian Weller <ianweller@gmail.com> 0.7.3-5.234bzr
- Update upstream to r234:
  - Switch identi.ca to http://
  - Localized time
  - defaultsmall changes in tandem with default theme
  - New theme: funkatron

* Wed Feb 04 2009 Ian Weller <ianweller@gmail.com> 0.7.3-4.223bzr
- Update upstream to r223:
  - Show reply to links from Laconica servers
  - Only runs new gwibber if one isn't running already
  - Better support for adding Jaiku, Ping.fm, and Facebook accounts
  - Support for showing a Twitterer's user timeline in a new tab
  - Other programming and translation improvements and bugfixes

* Wed Jan 28 2009 Ian Weller <ianweller@gmail.com> 0.7.3-3.199bzr
- Update upstream to r199:
  - more translations
  - "source" in identica and laconica now identified
  - account manager bug fix

* Tue Jan 27 2009 Ian Weller <ianweller@gmail.com> 0.7.3-2.196bzr
- Restore the Requires on python-sexy that I accidentally overwrote

* Tue Jan 27 2009 Ian Weller <ianweller@gmail.com> 0.7.3-1.196bzr
- Add Requires: python-imaging (PIL)
- Add BuildRequires: python-distutils-extra, intltool and gettext for i18n
- Add build and installation lines for i18n support
- Move shebang remover to setup
- Fix version in setup.py
- Update upstream

* Sat Jan 17 2009 Brian Pepple <bpepple@fedoraproject.org> 0.7.2-5.165bzr
- Enable spell checking by adding missing requires on python-sexy.

* Sun Dec 21 2008 Ian Weller <ianweller@gmail.com> 0.7.2-3.165bzr
- Update upstream

* Sun Dec 21 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.7.2-2.156bzr
- add missing Requires: pyxdg

* Wed Dec 17 2008 Ian Weller <ianweller@gmail.com> 0.7.2-1.156bzr
- Update upstream

* Sun Nov 16 2008 Ian Weller <ianweller@gmail.com> 0.7.1-1.134bzr
- Update upstream
- Remove patch from J. Katz, fixed upstream

* Thu Oct  2 2008 Jeremy Katz <katzj@redhat.com> - 0.7-6.102bzr
- Use the system python-simplejson rather than the one included in the
  tarball (#464727)

* Mon Sep 29 2008 Ian Weller <ianweller@gmail.com> 0.7-5.102bzr
- Requires: mx

* Thu Sep 11 2008 Ian Weller <ianweller@gmail.com> 0.7-4.102bzr
- Update upstream
- Fix requires: s/pywebkitgui/pywebkitgtk/
- Fix requires: python-simplejson >= 1.9.1

* Sat Aug 30 2008 Ian Weller <ianweller@gmail.com> 0.7-3.101bzr
- Update upstream to webkitui branch

* Tue Aug 05 2008 Ian Weller <ianweller@gmail.com> 0.7-2.61bzr
- Patch facebook.py to find ui/preferences.glade in the right location

* Mon Aug 04 2008 Ian Weller <ianweller@gmail.com> 0.7-1.61bzr
- Initial package build.
